/*     */ package org.apache.batik.util;
/*     */ 
/*     */ import java.lang.ref.SoftReference;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SoftReferenceCache
/*     */ {
/*  54 */   protected final Map map = new HashMap();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void flush() {
/*  67 */     this.map.clear();
/*  68 */     notifyAll();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final boolean isPresentImpl(Object key) {
/*  80 */     if (!this.map.containsKey(key)) {
/*  81 */       return false;
/*     */     }
/*  83 */     Object o = this.map.get(key);
/*  84 */     if (o == null)
/*     */     {
/*  86 */       return true;
/*     */     }
/*     */ 
/*     */     
/*  90 */     SoftReference sr = (SoftReference)o;
/*  91 */     o = sr.get();
/*  92 */     if (o != null) {
/*  93 */       return true;
/*     */     }
/*     */     
/*  96 */     clearImpl(key);
/*  97 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final boolean isDoneImpl(Object key) {
/* 107 */     Object o = this.map.get(key);
/* 108 */     if (o == null) return false; 
/* 109 */     SoftReference sr = (SoftReference)o;
/* 110 */     o = sr.get();
/* 111 */     if (o != null) {
/* 112 */       return true;
/*     */     }
/*     */     
/* 115 */     clearImpl(key);
/* 116 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final Object requestImpl(Object key) {
/* 125 */     if (this.map.containsKey(key)) {
/*     */       
/* 127 */       Object o = this.map.get(key);
/* 128 */       while (o == null) {
/*     */         
/*     */         try {
/* 131 */           wait();
/*     */         }
/* 133 */         catch (InterruptedException ie) {}
/*     */ 
/*     */ 
/*     */         
/* 137 */         if (!this.map.containsKey(key)) {
/*     */           break;
/*     */         }
/*     */         
/* 141 */         o = this.map.get(key);
/*     */       } 
/* 143 */       if (o != null) {
/* 144 */         SoftReference sr = (SoftReference)o;
/* 145 */         o = sr.get();
/* 146 */         if (o != null) {
/* 147 */           return o;
/*     */         }
/*     */       } 
/*     */     } 
/*     */     
/* 152 */     this.map.put(key, null);
/* 153 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void clearImpl(Object key) {
/* 162 */     this.map.remove(key);
/* 163 */     notifyAll();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void putImpl(Object key, Object object) {
/* 174 */     if (this.map.containsKey(key)) {
/* 175 */       SoftReference ref = new SoftRefKey(this, object, key);
/* 176 */       this.map.put(key, ref);
/* 177 */       notifyAll();
/*     */     } 
/*     */   }
/*     */   
/*     */   class SoftRefKey extends CleanerThread.SoftReferenceCleared { Object key;
/*     */     
/*     */     public SoftRefKey(SoftReferenceCache this$0, Object o, Object key) {
/* 184 */       super(o); this.this$0 = this$0;
/* 185 */       this.key = key;
/*     */     }
/*     */     private final SoftReferenceCache this$0;
/*     */     public void cleared() {
/* 189 */       SoftReferenceCache cache = this.this$0;
/* 190 */       if (cache == null)
/* 191 */         return;  synchronized (cache) {
/* 192 */         if (!cache.map.containsKey(this.key))
/*     */           return; 
/* 194 */         Object o = cache.map.remove(this.key);
/* 195 */         if (this == o) {
/*     */ 
/*     */           
/* 198 */           cache.notifyAll();
/*     */         }
/*     */         else {
/*     */           
/* 202 */           cache.map.put(this.key, o);
/*     */         } 
/*     */       } 
/*     */     } }
/*     */ 
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-util.jar!\org\apache\bati\\util\SoftReferenceCache.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */