/*     */ package org.apache.batik.util;
/*     */ 
/*     */ import java.lang.ref.PhantomReference;
/*     */ import java.lang.ref.Reference;
/*     */ import java.lang.ref.ReferenceQueue;
/*     */ import java.lang.ref.SoftReference;
/*     */ import java.lang.ref.WeakReference;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CleanerThread
/*     */   extends Thread
/*     */ {
/*  38 */   static CleanerThread thread = null;
/*     */ 
/*     */   
/*     */   public static ReferenceQueue getReferenceQueue() {
/*  42 */     if (queue == null) {
/*  43 */       synchronized (CleanerThread.class) {
/*  44 */         queue = new ReferenceQueue();
/*  45 */         thread = new CleanerThread();
/*     */       } 
/*     */     }
/*  48 */     return queue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static interface ReferenceCleared
/*     */   {
/*     */     void cleared();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static abstract class SoftReferenceCleared
/*     */     extends SoftReference
/*     */     implements ReferenceCleared
/*     */   {
/*  68 */     public SoftReferenceCleared(Object o) { super(o, CleanerThread.getReferenceQueue()); }
/*     */ 
/*     */     
/*     */     public abstract void cleared();
/*     */   }
/*     */ 
/*     */   
/*     */   public static abstract class WeakReferenceCleared
/*     */     extends WeakReference
/*     */     implements ReferenceCleared
/*     */   {
/*  79 */     public WeakReferenceCleared(Object o) { super(o, CleanerThread.getReferenceQueue()); }
/*     */ 
/*     */ 
/*     */     
/*     */     public abstract void cleared();
/*     */   }
/*     */ 
/*     */   
/*     */   public static abstract class PhantomReferenceCleared
/*     */     extends PhantomReference
/*     */     implements ReferenceCleared
/*     */   {
/*  91 */     public PhantomReferenceCleared(Object o) { super(o, CleanerThread.getReferenceQueue()); }
/*     */     
/*     */     public abstract void cleared(); }
/*     */   
/*     */   protected CleanerThread() {
/*  96 */     super("Batik CleanerThread");
/*  97 */     setDaemon(true);
/*  98 */     start();
/*     */   }
/*     */   
/*     */   public void run() {
/*     */     while (true) {
/*     */       try {
/*     */         Reference ref;
/*     */         try {
/* 106 */           ref = queue.remove();
/*     */         
/*     */         }
/* 109 */         catch (InterruptedException ie) {
/*     */           continue;
/*     */         } 
/* 112 */         if (ref instanceof ReferenceCleared) {
/* 113 */           ReferenceCleared rc = (ReferenceCleared)ref;
/* 114 */           rc.cleared();
/*     */         } 
/*     */       } catch (ThreadDeath td) {
/* 117 */         throw td;
/*     */       } catch (Throwable t) {
/* 119 */         t.printStackTrace();
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-util.jar!\org\apache\bati\\util\CleanerThread.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */