/*     */ package org.apache.batik.util;
/*     */ 
/*     */ import java.awt.EventQueue;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class EventDispatcher
/*     */ {
/*     */   public static void fireEvent(Dispatcher dispatcher, List listeners, Object evt, boolean useEventQueue) {
/*  43 */     if (useEventQueue && !EventQueue.isDispatchThread()) {
/*  44 */       Runnable r = new Runnable(dispatcher, listeners, evt, useEventQueue) { private final EventDispatcher.Dispatcher val$dispatcher; private final List val$listeners;
/*     */           
/*  46 */           public void run() { EventDispatcher.fireEvent(this.val$dispatcher, this.val$listeners, this.val$evt, this.val$useEventQueue); }
/*     */           private final Object val$evt; private final boolean val$useEventQueue; }
/*     */         ;
/*     */       try {
/*  50 */         EventQueue.invokeAndWait(r);
/*     */       } catch (InvocationTargetException e) {
/*  52 */         e.printStackTrace();
/*  53 */       } catch (InterruptedException e) {
/*     */ 
/*     */       
/*     */       } catch (ThreadDeath td) {
/*  57 */         throw td;
/*     */       } catch (Throwable t) {
/*  59 */         t.printStackTrace();
/*     */       } 
/*     */       
/*     */       return;
/*     */     } 
/*  64 */     Object[] ll = null;
/*  65 */     Throwable err = null;
/*  66 */     int retryCount = 10;
/*  67 */     while (--retryCount != 0) {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/*  72 */         synchronized (listeners) {
/*  73 */           if (listeners.size() == 0)
/*     */             return; 
/*  75 */           ll = listeners.toArray();
/*     */           break;
/*     */         } 
/*     */       } catch (Throwable t) {
/*  79 */         err = t = null;
/*     */       } 
/*     */     } 
/*  82 */     if (ll == null) {
/*  83 */       if (err != null)
/*  84 */         err.printStackTrace(); 
/*     */       return;
/*     */     } 
/*  87 */     dispatchEvent(dispatcher, ll, evt);
/*     */   }
/*     */   public static interface Dispatcher {
/*     */     void dispatch(Object param1Object1, Object param1Object2); }
/*     */   
/*     */   protected static void dispatchEvent(Dispatcher dispatcher, Object[] ll, Object evt) {
/*  93 */     ThreadDeath td = null;
/*     */     try {
/*  95 */       for (int i = 0; i < ll.length; i++) {
/*     */ 
/*     */         
/*  98 */         try { synchronized (ll) {
/*  99 */             Object l = ll[i];
/* 100 */             if (l == null) {  }
/* 101 */             else { ll[i] = null;
/*     */               
/* 103 */               dispatcher.dispatch(l, evt); }
/*     */           
/*     */           }  }
/* 106 */         catch (ThreadDeath t) { td = t = null; }
/*     */         catch (Throwable t)
/* 108 */         { t.printStackTrace(); }
/*     */       
/*     */       } 
/*     */     } catch (ThreadDeath t) {
/*     */       
/* 113 */       td = t = null;
/*     */     } catch (Throwable t) {
/* 115 */       if (ll[ll.length - true] != null)
/* 116 */         dispatchEvent(dispatcher, ll, evt); 
/* 117 */       t.printStackTrace();
/*     */     } 
/* 119 */     if (td != null) throw td; 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-util.jar!\org\apache\bati\\util\EventDispatcher.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */