/*    */ package org.apache.batik.util.io;
/*    */ 
/*    */ import java.io.IOException;
/*    */ import java.io.InputStream;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class AbstractCharDecoder
/*    */   implements CharDecoder
/*    */ {
/*    */   protected static final int BUFFER_SIZE = 8192;
/*    */   protected InputStream inputStream;
/*    */   protected byte[] buffer;
/*    */   protected int position;
/*    */   protected int count;
/*    */   
/*    */   protected AbstractCharDecoder(InputStream is) {
/* 45 */     this.buffer = new byte[8192];
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */     
/* 62 */     this.inputStream = is;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public void dispose() throws IOException {
/* 69 */     this.inputStream.close();
/* 70 */     this.inputStream = null;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   protected void fillBuffer() throws IOException {
/* 77 */     this.count = this.inputStream.read(this.buffer, 0, 8192);
/* 78 */     this.position = 0;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 87 */   protected void charError(String encoding) throws IOException { throw new IOException(Messages.formatMessage("invalid.char", new Object[] { encoding })); }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 97 */   protected void endOfStreamError(String encoding) throws IOException { throw new IOException(Messages.formatMessage("end.of.stream", new Object[] { encoding })); }
/*    */   
/*    */   public abstract int readChar() throws IOException;
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-util.jar!\org\apache\bati\\util\io\AbstractCharDecoder.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */